path: /build/build/Variable-Magic-dev-perl-0.620.0+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge dev-perl/Variable-Magic -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps dev-perl/Variable-Magic && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/Variable-Magic && \
    luet-portage --dir /pkgdir/Variable-Magic dev-perl/Variable-Magic && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:8fe227d9aa1d1abe34b78cfcede57b831d18bb1b6dd1d49174612de988523a86
  package:
    name: Variable-Magic
    version: 0.620.0+1
    category: dev-perl
    use_flags:
    - -test
    requires:
    - name: Module-Implementation
      version: '>=0'
      category: dev-perl
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Associate user-defined magic to variables from Perl
    uri:
    - https://metacpan.org/release/Variable-Magic
    license: '|| ( Artistic GPL-1+ )'
    buildtimestamp: 2025-05-04 21:59:34.499462936 +0000 UTC m=+148.173390501
    labels:
      DEPEND: virtual/perl-Carp virtual/perl-Exporter virtual/perl-XSLoader virtual/perl-ExtUtils-MakeMaker
        test? ( virtual/perl-Test-Simple ) dev-lang/perl:=
      IUSE: test examples
      RDEPEND: virtual/perl-Carp virtual/perl-Exporter virtual/perl-XSLoader dev-lang/perl:=
      emerge.packages: dev-perl/Variable-Magic
      kit: perl-kit
      original.package.name: dev-perl/Variable-Magic
      original.package.slot: "0"
      original.package.version: 0.620.0
    treedir: /build/packages
  package_dir: /pkgdir/Variable-Magic
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 1df1a83e0d904f8f37a02e19a810fe585d74b48c009378c7146adfdfc1b226c6
compressiontype: zstd
files:
- usr/lib64/perl5/vendor_perl/5.32.0/x86_64-linux/Variable/Magic.pm
- usr/lib64/perl5/vendor_perl/5.32.0/x86_64-linux/auto/Variable/Magic/.packlist
- usr/lib64/perl5/vendor_perl/5.32.0/x86_64-linux/auto/Variable/Magic/Magic.so
- usr/share/doc/Variable-Magic-0.620.0/Changes.bz2
- usr/share/doc/Variable-Magic-0.620.0/README.bz2
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/BUILD_TIME
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/CATEGORY
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/CBUILD
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/CFLAGS
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/CHOST
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/CONTENTS
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/COUNTER
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/CTARGET
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/CXX
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/CXXFLAGS
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/DEFINED_PHASES
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/DEPEND
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/DESCRIPTION
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/EAPI
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/FEATURES
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/HOMEPAGE
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/INHERITED
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/IUSE
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/IUSE_EFFECTIVE
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/KEYWORDS
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/LDFLAGS
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/LICENSE
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/NEEDED
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/NEEDED.ELF.2
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/PF
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/PROVIDES
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/RDEPEND
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/REQUIRES
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/SIZE
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/SLOT
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/USE
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/Variable-Magic-0.620.0.ebuild
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/environment.bz2
- var/db/pkg/dev-perl/Variable-Magic-0.620.0/repository
package_cacheimage: ""
runtime:
  name: Variable-Magic
  version: 0.620.0+1
  category: dev-perl
  use_flags:
  - -test
  requires:
  - name: perl-Carp
    version: '>=0'
    category: virtual
  - name: perl-Exporter
    version: '>=0'
    category: virtual
  - name: perl-XSLoader
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Associate user-defined magic to variables from Perl
  uri:
  - https://metacpan.org/release/Variable-Magic
  license: '|| ( Artistic GPL-1+ )'
  labels:
    DEPEND: virtual/perl-Carp virtual/perl-Exporter virtual/perl-XSLoader virtual/perl-ExtUtils-MakeMaker
      test? ( virtual/perl-Test-Simple ) dev-lang/perl:=
    IUSE: test examples
    RDEPEND: virtual/perl-Carp virtual/perl-Exporter virtual/perl-XSLoader dev-lang/perl:=
    emerge.packages: dev-perl/Variable-Magic
    kit: perl-kit
    original.package.name: dev-perl/Variable-Magic
    original.package.slot: "0"
    original.package.version: 0.620.0
